#pragma once
#include "base_head.h"
#include "lock.h"
class UTILES_EXPORT Cstatic_cola
{
public:
	//variables
	
private:
	int z;//size de estructura;
	int ini, fin;
	int capacidad;
	Clock cerrojo;
	BYTE *buf;
	BYTE *elemento;
public:
	Cstatic_cola();
	~Cstatic_cola(void);
	//funciones-----------------------------------------
	void inicia(int cap,int size);
	BOOL add(BYTE *e);//concurrente
	BYTE* get();//no concurrente

	BOOL add(int e1,BYTE *e2);//hecho para las colas (concurrente)
};
